from core.database import Base
from datetime import datetime
from sqlalchemy import Column, DateTime, Integer, String


class Ticket_sync_states(Base):
    __tablename__ = "ticket_sync_states"
    __table_args__ = {"extend_existing": True}

    id = Column(Integer, primary_key=True, index=True, autoincrement=True, nullable=False)
    user_id = Column(String, nullable=False)
    snapshot = Column(String, nullable=False)
    created_at = Column(DateTime(timezone=True), default=datetime.now)
    updated_at = Column(DateTime(timezone=True), default=datetime.now, onupdate=datetime.now)